export { Store } from './Store';
import { IFilesMutate, IFileStat, INodeFileStat, IEdit, IFinderOptions } from '@files-stack/client-core';
export declare const reducers: {
    '@files/edit': (state: IEdit, action: import("../actions/edit-actions").EditAction) => IEdit;
    '@files/allSave': (state: boolean, action: import("../actions/edit-actions").EditAction) => boolean;
    '@files/editorSubscribes': (state: any[], action: import("../actions/edit-actions").EditAction) => string[];
    '@files/changedContentResource': (state: string, action: import("../actions/edit-actions").EditAction) => string;
    '@files/overwriteConflictsResource': (state: string, action: import("../actions/edit-actions").EditAction) => string;
    '@files/discardConflictsResource': (state: string, action: import("../actions/edit-actions").EditAction) => string;
    '@files/selectedFile': (state: IFileStat, action: import("../actions/files-actions").FilesAction) => IFileStat;
    '@files/rootpath': (state: string, action: import("../actions/files-actions").FilesAction) => string;
    '@files/refresh': (state: number, action: import("../actions/files-actions").FilesAction) => number;
    '@files/mutate': (state: IFilesMutate, action: import("../actions/files-actions").FilesAction) => IFilesMutate;
    '@files/dragOveredFile': (state: INodeFileStat, action: import("../actions/files-actions").FilesAction) => INodeFileStat;
    '@files/editorsExpand': (state: boolean, action: import("../actions/files-actions").FilesAction) => boolean;
    '@files/rootExpand': (state: boolean, action: import("../actions/files-actions").FilesAction) => boolean;
    '@files/subscriber': (state: any, action: import("../actions/files-actions").FilesAction) => any;
    '@files/creatingFile': (state: any, action: import("../actions/files-actions").FilesAction) => any;
    '@files/treeData': (state: any, action: import("../actions/files-actions").FilesAction) => any;
    '@files/finderOptions': (state: IFinderOptions, action: import("../actions/files-actions").FilesAction) => IFinderOptions;
    '@files/reloadTreeData': (state: boolean, action: import("../actions/files-actions").FilesAction) => boolean;
};
